#include "widget.h"

#include <QPushButton>
#include <QVBoxLayout>

Widget::Widget(QWidget *parent) :
    QWidget(parent)
{
    QPushButton *button = new QPushButton(tr("Play sound"));
    button->show();

    QObject::connect(button, SIGNAL(clicked()), this, SLOT(on_pushButton_clicked()));

    QVBoxLayout *box = new QVBoxLayout;
    box->addWidget(button);
    setLayout(box);
}

Widget::~Widget()
{
}

void Widget::on_pushButton_clicked()
{
    system("aplay -D plughw:1,0 /root/sample.wav");
}
